#### D.15.4.20 difformNeq

Procedure from library `difform.lib` (see difform_lib).

Usage:
  df != dg; df,dg difform

Return:
  0, if df and dg are euqal - 1, otherwise

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    /////////////////////////////////////////////////
    // Applications of negated comparison operator //
    /////////////////////////////////////////////////
    difform df = 3*dx - x8*dx*dy;
    difform dg = 3 + x8*dy;
    df != dg;
    ==> 1
    dg = dg*dx;
    df != dg;
    ==> 0
    kill Omega_R,df,dg,dx,dy,dz;

See also: difformEqu.

User manual for Singular version 4.4.1, 2025, generated by texi2html.